- Qt 6.11
- Qt Labs StyleKit
- QML Types
- BorderStyle
- Qt 6.11.2 Reference Documentation

# BorderStyle QML Type

Defines the border style for a delegate. More...

Import Statement: | `import Qt.labs.StyleKit`

- List of all members, including inherited members

## Properties

- color : color
- width : real

## Detailed Description

BorderStyle provides properties for the border drawn around a DelegateStyle. It is available as the border grouped property on any delegate.

Note: Types in Qt.labs modules are not guaranteed to remain compatible in future versions.

See also DelegateStyle, ControlStyle, ControlStateStyle, and FallbackStyle Reference.

## Property Documentation

### color : color

The color of the border. The default value is `transparent`.

### width : real

The width of the border in pixels.